Docs
Add File Link
POST /Drives/{driveId}/files/{fileId}/links
POST
/Drives/{driveId}/files/{fileId}/linksCreates a shareable link to a file with a name and a list of permissions (stored and returned to viewers, not enforced); the link can be opened without signing in via Drives_GetDriveLink. Needs admin access to the file's location. To share a whole folder, use Drives_AddFolderLink.
Path Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| driveId | uuid | Required | |
| fileId | uuid | Required |
Request Body
| Field | Type | Required | Description |
|---|---|---|---|
| name | string | Optional | |
| permissions | string[] | Optional |